[SCM] Samba Shared Repository - branch master updated

Günther Deschner gd at samba.org
Thu Feb 10 16:34:02 MST 2011


The branch, master has been updated
       via  06d4e4c s3-selftest: remove some more unused test functions.
       via  6bc6d5d s3-waf: try to fix the {net|free|open}bsd build.
       via  961f629 s3-selftest: run the three net tests individually.
       via  80d87e6 s3-waf: dont try to redefine 'pam', we checked above...
      from  efa460e s3: Align the args in tldap_modify

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 06d4e4cb2e80d5e8965877e1f71e42a6342351fc
Author: Günther Deschner <gd at samba.org>
Date:   Thu Feb 10 23:38:08 2011 +0100

    s3-selftest: remove some more unused test functions.
    
    Guenther
    
    Autobuild-User: Günther Deschner <gd at samba.org>
    Autobuild-Date: Fri Feb 11 00:33:58 CET 2011 on sn-devel-104

commit 6bc6d5dcfb27fba14ea32b4c07cbce012386e9b5
Author: Günther Deschner <gd at samba.org>
Date:   Thu Feb 10 23:37:52 2011 +0100

    s3-waf: try to fix the {net|free|open}bsd build.
    
    Guenther

commit 961f6295a9cdbaf63c83e49386c2732737c2d4df
Author: Günther Deschner <gd at samba.org>
Date:   Thu Feb 10 22:43:38 2011 +0100

    s3-selftest: run the three net tests individually.
    
    Guenther

commit 80d87e68dee28cde8f897dc9cbd5207b62491f8e
Author: Günther Deschner <gd at samba.org>
Date:   Thu Feb 10 22:42:58 2011 +0100

    s3-waf: dont try to redefine 'pam', we checked above...
    
    Found by solaris waf buildfarm build.
    
    Guenther

-----------------------------------------------------------------------

Summary of changes:
 source3/script/tests/test_functions.sh |  132 --------------------------------
 source3/script/tests/test_net_s3.sh    |   35 ---------
 source3/selftest/tests.sh              |    4 +-
 source3/wscript                        |    8 ++-
 4 files changed, 9 insertions(+), 170 deletions(-)
 delete mode 100755 source3/script/tests/test_net_s3.sh


Changeset truncated at 500 lines:

diff --git a/source3/script/tests/test_functions.sh b/source3/script/tests/test_functions.sh
index bddae18..4e80266 100644
--- a/source3/script/tests/test_functions.sh
+++ b/source3/script/tests/test_functions.sh
@@ -21,126 +21,6 @@ samba3_stop_sig_kill() {
 	return 0;
 }
 
-samba3_check_or_start() {
-	if [ -n "$SERVER_TEST_FIFO" ];then
-
-		trap samba3_stop_sig_kill INT QUIT
-		trap samba3_stop_sig_kill TERM
-
-		if [ -p "$SERVER_TEST_FIFO" ];then
-			return 0;
-		fi
-
-		if [ -n "$SOCKET_WRAPPER_DIR" ];then
-			if [ -d "$SOCKET_WRAPPER_DIR" ]; then
-				rm -f $SOCKET_WRAPPER_DIR/*
-			else
-				mkdir -p $SOCKET_WRAPPER_DIR
-			fi
-		fi
-
-		rm -f $SERVER_TEST_FIFO
-		mkfifo $SERVER_TEST_FIFO
-
-		rm -f $NMBD_TEST_LOG
-		printf "%s" "STARTING NMBD..."
-		((
-			if test x"$NMBD_MAXTIME" = x; then
-			    NMBD_MAXTIME=2700
-			fi
-			MAKE_TEST_BINARY=$BINDIR/nmbd
-			export MAKE_TEST_BINARY
-			timelimit $NMBD_MAXTIME $NMBD_VALGRIND $BINDIR/nmbd -F -S --no-process-group -d0 -s $SERVERCONFFILE > $NMBD_TEST_LOG 2>&1 &
-			TIMELIMIT_NMBD_PID=$!
-			MAKE_TEST_BINARY=
-			echo $TIMELIMIT_NMBD_PID > $PIDDIR/timelimit.nmbd.pid
-			wait $TIMELIMIT_NMBD_PID
-			ret=$?;
-			rm -f $SERVER_TEST_FIFO
-			if [ -n "$SOCKET_WRAPPER_DIR" -a -d "$SOCKET_WRAPPER_DIR" ]; then
-				rm -f $SOCKET_WRAPPER_DIR/*
-			fi
-			if [ x"$ret" = x"0" ];then
-				echo "nmbd exits with status $ret";
-				echo "nmbd exits with status $ret" >>$NMBD_TEST_LOG;
-			elif [ x"$ret" = x"137" ];then
-				echo "nmbd got SIGXCPU and exits with status $ret!"
-				echo "nmbd got SIGXCPU and exits with status $ret!">>$NMBD_TEST_LOG;
-			else
-				echo "nmbd failed with status $ret!"
-				echo "nmbd failed with status $ret!">>$NMBD_TEST_LOG;
-			fi
-			exit $ret;
-		) || exit $? &) 2>/dev/null || exit $?
-		echo  "DONE"
-
-		rm -f $WINBINDD_TEST_LOG
-		printf "%s" "STARTING WINBINDD..."
-		((
-			if test x"$WINBINDD_MAXTIME" = x; then
-			    WINBINDD_MAXTIME=2700
-			fi
-			MAKE_TEST_BINARY=$BINDIR/winbindd
-			export MAKE_TEST_BINARY
-			timelimit $WINBINDD_MAXTIME $WINBINDD_VALGRIND $BINDIR/winbindd -F -S --no-process-group -d0 -s $SERVERCONFFILE > $WINBINDD_TEST_LOG 2>&1 &
-			TIMELIMIT_WINBINDD_PID=$!
-			MAKE_TEST_BINARY=
-			echo $TIMELIMIT_WINBINDD_PID > $PIDDIR/timelimit.winbindd.pid
-			wait $TIMELIMIT_WINBINDD_PID
-			ret=$?;
-			rm -f $SERVER_TEST_FIFO
-			if [ -n "$SOCKET_WRAPPER_DIR" -a -d "$SOCKET_WRAPPER_DIR" ]; then
-				rm -f $SOCKET_WRAPPER_DIR/*
-			fi
-			if [ x"$ret" = x"0" ];then
-				echo "winbindd exits with status $ret";
-				echo "winbindd exits with status $ret" >>$WINBINDD_TEST_LOG;
-			elif [ x"$ret" = x"137" ];then
-				echo "winbindd got SIGXCPU and exits with status $ret!"
-				echo "winbindd got SIGXCPU and exits with status $ret!">>$WINBINDD_TEST_LOG;
-			else
-				echo "winbindd failed with status $ret!"
-				echo "winbindd failed with status $ret!">>$WINBINDD_TEST_LOG;
-			fi
-			exit $ret;
-		) || exit $? &) 2>/dev/null || exit $?
-		echo  "DONE"
-
-		rm -f $SMBD_TEST_LOG
-		printf "%s" "STARTING SMBD..."
-		((
-			if test x"$SMBD_MAXTIME" = x; then
-			    SMBD_MAXTIME=2700
-			fi
-			MAKE_TEST_BINARY=$BINDIR/smbd
-			export MAKE_TEST_BINARY
-			timelimit $SMBD_MAXTIME $SMBD_VALGRIND $BINDIR/smbd -F -S --no-process-group -d0 -s $SERVERCONFFILE > $SMBD_TEST_LOG 2>&1 &
-			TIMELIMIT_SMBD_PID=$!
-			MAKE_TEST_BINARY=
-			echo $TIMELIMIT_SMBD_PID > $PIDDIR/timelimit.smbd.pid
-			wait $TIMELIMIT_SMBD_PID
-			ret=$?;
-			rm -f $SERVER_TEST_FIFO
-			if [ -n "$SOCKET_WRAPPER_DIR" -a -d "$SOCKET_WRAPPER_DIR" ]; then
-				rm -f $SOCKET_WRAPPER_DIR/*
-			fi
-			if [ x"$ret" = x"0" ];then
-				echo "smbd exits with status $ret";
-				echo "smbd exits with status $ret" >>$SMBD_TEST_LOG;
-			elif [ x"$ret" = x"137" ];then
-				echo "smbd got SIGXCPU and exits with status $ret!"
-				echo "smbd got SIGXCPU and exits with status $ret!">>$SMBD_TEST_LOG;
-			else
-				echo "smbd failed with status $ret!"
-				echo "smbd failed with status $ret!">>$SMBD_TEST_LOG;
-			fi
-			exit $ret;
-		) || exit $? &) 2>/dev/null || exit $?
-		echo  "DONE"
-	fi
-	return 0;
-}
-
 samba3_nmbd_test_log() {
 	if [ -n "$NMBD_TEST_LOG" ];then
 		if [ -r "$NMBD_TEST_LOG" ];then
@@ -315,18 +195,6 @@ testok() {
 	exit $failed
 }
 
-teststatus() {
-	name=`basename $1`
-	failed=$2
-
-	if [ x"$failed" = x"0" ];then
-		echo "TEST STATUS: $failed";
-	else
-		echo "TEST STATUS: $failed";
-	fi
-	exit $failed
-}
-
 if [ -z "$VALGRIND" ]; then
     MALLOC_CHECK_=2
     export MALLOC_CHECK_
diff --git a/source3/script/tests/test_net_s3.sh b/source3/script/tests/test_net_s3.sh
deleted file mode 100755
index a0e83a6..0000000
--- a/source3/script/tests/test_net_s3.sh
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/sh
-
-# tests for the "net" command
-
-test x"$TEST_FUNCTIONS_SH" != x"INCLUDED" && {
-incdir=`dirname $0`
-. $incdir/test_functions.sh
-}
-
-failed=0
-
-net_misc() {
-	echo "RUNNING SUBTESTS net_misc"
-	$SCRIPTDIR/test_net_misc.sh \
-	|| failed=`expr $failed + $?`
-}
-
-net_registry() {
-	echo "RUNNING SUBTESTS net_registry"
-	$SCRIPTDIR/test_net_registry.sh \
-	|| failed=`expr $failed + $?`
-}
-
-net_rpc_registry() {
-	echo "RUNNING SUBTESTS net_rpc_registry"
-	$SCRIPTDIR/test_net_registry.sh rpc \
-	|| failed=`expr $failed + $?`
-}
-
-net_misc
-net_registry
-net_rpc_registry
-
-testok $0 $failed
-
diff --git a/source3/selftest/tests.sh b/source3/selftest/tests.sh
index 9457207..abac442 100755
--- a/source3/selftest/tests.sh
+++ b/source3/selftest/tests.sh
@@ -149,7 +149,9 @@ plantest "blackbox.smbclient_s3.crypt" dc BINDIR="$BINDIR" script/tests/test_smb
 #plantest "blackbox.smbclient_s3.crypt member creds" member BINDIR="$BINDIR" script/tests/test_smbclient_s3.sh \$SERVER \$SERVER_IP \$SERVER\\\\\$USERNAME \$PASSWORD "-e"
 #plantest "blackbox.smbclient_s3.crypt domain creds" member BINDIR="$BINDIR" script/tests/test_smbclient_s3.sh \$SERVER \$SERVER_IP \$DOMAIN\\\\\$DC_USERNAME \$DC_PASSWORD "-e"
 
-plantest "blackbox.net_s3" dc:local BINDIR="$BINDIR" SCRIPTDIR="$SCRIPTDIR" SERVERCONFFILE="\$SMB_CONF_PATH" script/tests/test_net_s3.sh
+plantest "blackbox.net_s3_misc" dc:local BINDIR="$BINDIR" SCRIPTDIR="$SCRIPTDIR" SERVERCONFFILE="\$SMB_CONF_PATH" script/tests/test_net_misc.sh
+plantest "blackbox.net_s3_registry" dc:local BINDIR="$BINDIR" SCRIPTDIR="$SCRIPTDIR" SERVERCONFFILE="\$SMB_CONF_PATH" script/tests/test_net_registry.sh
+plantest "blackbox.net_s3_registry_rpc" dc:local BINDIR="$BINDIR" SCRIPTDIR="$SCRIPTDIR" SERVERCONFFILE="\$SMB_CONF_PATH" script/tests/test_net_registry.sh rpc
 plantest "blackbox.testparm_s3" dc:local LOCAL_PATH="$LOCAL_PATH" BINDIR="$BINDIR" SCRIPTDIR="$SCRIPTDIR" SERVERCONFFILE="\$SMB_CONF_PATH" script/tests/test_testparm_s3.sh
 
 (
diff --git a/source3/wscript b/source3/wscript
index ca7acf2..72a8466 100644
--- a/source3/wscript
+++ b/source3/wscript
@@ -287,6 +287,7 @@ utimensat vsyslog _write __write __xstat
     # checks for OSes.
     import sys
     host_os = sys.platform
+    print "building on %s" % host_os
 
     # Python doesn't have case switches... :/
     # FIXME: original was *linux* | gnu* | k*bsd*-gnu | kopensolaris*-gnu | *qnx*)
@@ -307,6 +308,11 @@ utimensat vsyslog _write __write __xstat
         if conf.CHECK_HEADERS('sunacl.h'):
             conf.define('HAVE_FREEBSD_SUNACL_H', '1')
             conf.CHECK_FUNCS_IN('acl', 'sunacl')
+        conf.DEFINE('STAT_ST_BLOCKSIZE', '512')
+    elif (host_os.rfind('netbsd') > -1):
+        conf.DEFINE('STAT_ST_BLOCKSIZE', '512')
+    elif (host_os.rfind('openbsd') > -1):
+        conf.DEFINE('STAT_ST_BLOCKSIZE', '512')
     # FIXME: Add more checks here.
     else:
         print "Unknown host_os '%s', please report this to samba-technical at samba.org" % host_os
@@ -1013,8 +1019,6 @@ int i; i = PAM_RADIO_TYPE;
         if use_pam:
             conf.DEFINE('WITH_PAM', 1)
             conf.DEFINE('WITH_PAM_MODULES', 1)
-        else:
-            conf.SET_TARGET_TYPE('pam', 'EMPTY')
 
     seteuid = False
     if not seteuid:


-- 
Samba Shared Repository


More information about the samba-cvs mailing list